Description: source bug fix: system without sysinfo
 Isolate better UN*X like system without sysinfo function;
 meant to be submitted to the upstream maintainer.
Origin: debian
Forwarded: by email
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2016-07-27

--- a/src/include.h
+++ b/src/include.h
@@ -168,7 +168,7 @@
 #include <sys/times.h>
 #include <sys/time.h>
 #include <sys/param.h>
-#if !defined(MAC_OS_X)
+#if !defined(MAC_OS_X) && !defined(__FreeBSD_kernel__) && !defined(__GNU__)
 #include <sys/sysinfo.h>
 #endif
 #include <glob.h>
--- a/src/painter.c
+++ b/src/painter.c
@@ -437,7 +437,7 @@
       maxcount = (size_t)(statex.ullAvailPhys/4/sizeof(struct tsort));
     }
   }
-#elif defined(LINUX) && !defined(MAC_OS_X)
+#elif defined(LINUX) && !defined(MAC_OS_X) && !defined(__FreeBSD_kernel__) && !defined(__GNU__)
   { struct sysinfo s;
     sysinfo(&s);
     if ( allocsize > (size_t)(s.freeram)*s.mem_unit/4 )
